Bug 1133042 - [abrt] tracker: persistence_store_file(): tracker-extract killed by SIGSEGV
Summary: [abrt] tracker: persistence_store_file(): tracker-extract killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:426c45e4e914254ca10fc7bd387...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-22 13:46 UTC by Tim Waugh
Modified: 2014-12-27 09:21 UTC (History)
5 users (show)

Fixed In Version: tracker-1.2.5-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-27 09:21:26 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.97 KB, text/plain)
2014-08-22 13:46 UTC, Tim Waugh
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-22 13:46 UTC, Tim Waugh
no flags Details
File: core_backtrace (33.45 KB, text/plain)
2014-08-22 13:46 UTC, Tim Waugh
no flags Details
File: dso_list (6.07 KB, text/plain)
2014-08-22 13:46 UTC, Tim Waugh
no flags Details
File: environ (1.29 KB, text/plain)
2014-08-22 13:46 UTC, Tim Waugh
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-22 13:46 UTC, Tim Waugh
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-22 13:46 UTC, Tim Waugh
no flags Details
File: maps (58.40 KB, text/plain)
2014-08-22 13:46 UTC, Tim Waugh
no flags Details
File: open_fds (828 bytes, text/plain)
2014-08-22 13:46 UTC, Tim Waugh
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2014-08-22 13:46 UTC, Tim Waugh
no flags Details
File: var_log_messages (727 bytes, text/plain)
2014-08-22 13:46 UTC, Tim Waugh
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 741141 None None None Never

Description Tim Waugh 2014-08-22 13:46:29 UTC
Version-Release number of selected component:
tracker-1.1.3-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-extract
crash_function: persistence_store_file
executable:     /usr/libexec/tracker-extract
kernel:         3.16.1-300.fc21.x86_64
runlevel:       3 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 persistence_store_file at tracker-extract-persistence.c:146
 #1 tracker_extract_persistence_add_file at tracker-extract-persistence.c:263
 #2 decorator_next_item_cb at tracker-extract-decorator.c:295
 #3 g_task_return_now at gtask.c:1077
 #4 g_task_return at gtask.c:1130
 #5 complete_tasks_or_query at tracker-decorator.c:1261
 #6 query_next_items_cb at tracker-decorator.c:1178
 #7 g_simple_async_result_complete at gsimpleasyncresult.c:763
 #8 tracker_sparql_backend_real_query_async_co at /home/martyn/Source/checkout/gnome/tracker/src/libtracker-sparql-backend/tracker-backend.vala:108
 #9 g_simple_async_result_complete at gsimpleasyncresult.c:763

Comment 1 Tim Waugh 2014-08-22 13:46:33 UTC
Created attachment 929646 [details]
File: backtrace

Comment 2 Tim Waugh 2014-08-22 13:46:35 UTC
Created attachment 929647 [details]
File: cgroup

Comment 3 Tim Waugh 2014-08-22 13:46:37 UTC
Created attachment 929648 [details]
File: core_backtrace

Comment 4 Tim Waugh 2014-08-22 13:46:38 UTC
Created attachment 929649 [details]
File: dso_list

Comment 5 Tim Waugh 2014-08-22 13:46:39 UTC
Created attachment 929650 [details]
File: environ

Comment 6 Tim Waugh 2014-08-22 13:46:41 UTC
Created attachment 929651 [details]
File: exploitable

Comment 7 Tim Waugh 2014-08-22 13:46:42 UTC
Created attachment 929652 [details]
File: limits

Comment 8 Tim Waugh 2014-08-22 13:46:44 UTC
Created attachment 929653 [details]
File: maps

Comment 9 Tim Waugh 2014-08-22 13:46:45 UTC
Created attachment 929654 [details]
File: open_fds

Comment 10 Tim Waugh 2014-08-22 13:46:47 UTC
Created attachment 929655 [details]
File: proc_pid_status

Comment 11 Tim Waugh 2014-08-22 13:46:48 UTC
Created attachment 929656 [details]
File: var_log_messages

Comment 12 Tim Waugh 2014-08-22 14:35:40 UTC
FWIW:

(gdb) select-frame 2
(gdb) p *info
$3 = {task = 0xba21e0, urn = 0xa5a090 "(null)#276515", 
  url = 0xbb0db0 "(null)#276515", mimetype = 0x0, ref_count = 2}

Comment 13 Tim Waugh 2014-10-16 13:13:03 UTC
Another user experienced a similar problem:

Happens frequently, no known cause.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-extract
crash_function: persistence_store_file
executable:     /usr/libexec/tracker-extract
kernel:         3.17.0-301.fc21.x86_64
package:        tracker-1.2.2-2.fc21
reason:         tracker-extract killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 14 Tim Waugh 2014-11-08 11:46:56 UTC
This just happened again with tracker-1.2.4-1.fc21.x86_64, after a reboot.

Comment 15 Tim Waugh 2014-12-01 08:58:59 UTC
Still happening with tracker-1.2.4-3.fc21.x86_64.

Comment 16 Michael Catanzaro 2014-12-10 11:53:59 UTC
Hey Igor, there's an upstream fix for this available: https://git.gnome.org/browse/tracker/commit/?id=ae24f17b6b8251a6359dba9b638847cb0f1f16a1

I've hit this crash 78 times in the past 5 days, so it'd be nice to have a backport to F21.

Comment 17 Fedora Update System 2014-12-10 20:16:56 UTC
tracker-1.2.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tracker-1.2.5-1.fc21

Comment 18 Fedora Update System 2014-12-12 04:09:19 UTC
Package tracker-1.2.5-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tracker-1.2.5-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16548/tracker-1.2.5-1.fc21
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2014-12-27 09:21:26 UTC
tracker-1.2.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.